* Final Version
* Do file to replicate Gregory Clark and Neil Cummins: Intergenerational Mobility in England, 1858-2012. Wealth, Surnames, and Social Mobility,” Economic Journal
* Read in the data

use "Clark_Cummins_EJ2014.dta", clear
count

*																					Table 1	Summary of the Data
table gendeath, contents(min deathyr max deathyr  freq  sum dprob)
table gendeath, contents(mean new_wealth_july_201 sd new_wealth_july_2013 sum father_known)
*																					Figure 1	Relative Frequency of Rare Surnames, 1881 Census, England
* See detail in appendix of paper
*																					Table 2	The Rare Surname Groups, 1858-1887
* See detail in appendix of paper
*																					Figure 2	Location by Wealth Percentiles, Surname Types, by Generation 
* See detail in appendix of paper

*																					Table 3	Summary of the Surname Samples
* HH=Rich, H=Prosperous, PP=Poor
* Number of unique surnames
tab nid if type_aug_20=="HH" | type_aug_20=="H" & gendeath==1, nofreq
display r(r)
tab nid if type_aug_20=="HH" | type_aug_20=="H" & gendeath==2, nofreq
display r(r)
tab nid if type_aug_20=="HH" | type_aug_20=="H" & gendeath==3, nofreq
display r(r)
tab nid if type_aug_20=="HH" | type_aug_20=="H" & gendeath==4, nofreq
display r(r)
tab nid if type_aug_20=="HH" | type_aug_20=="H" & gendeath==5, nofreq
display r(r)

tab nid if type_aug_20=="PP"  & gendeath==1, nofreq
display r(r)
tab nid if type_aug_20=="PP"& gendeath==2, nofreq
display r(r)
tab nid if type_aug_20=="PP" & gendeath==3, nofreq
display r(r)
tab nid if type_aug_20=="PP"& gendeath==4, nofreq
display r(r)
tab nid if type_aug_20=="PP" & gendeath==5, nofreq
display r(r)

* Rich and Prosperous
table gendeath if type_aug_20 =="HH" | type_aug_20=="H", contents(sum dprob freq )
* Poor
table gendeath if type_aug_20=="PP", contents(sum dprob freq )
*																					Table 4	Proportion Probated by Surname Group

table gendeath, contents(mean byr)
table gendeath type_aug_20, contents(mean dprob )

*																					Figure 3	Probate Rates of Surname Types, by generation
*Data is from table 4
*																					Figure 4	Average Ln Probate Wealth, those probated, by generation
* Note: Whenever the wealth estimates are used,  "gen_death2" is used:
table gen_death2, contents( min deathyr max deathyr )
table gen_death2 type_aug_20 if dprob==1, contents(mean new_wealth_july_2013)
*																					Table 5	Average ln Wealth, all Adult Deaths, by Death Generations
*													Table 5	Average ln Wealth, all Adult Deaths, by Death Generations


table gen_death2 type_aug_20, contents(mean new_wealth_july_2013)


*																					Figure 5	Average Log Probate Value, Including Those Not Probated, by Generation
*Data is from table 5
*																					Table 6	Conventional Estimates of Intergenerational Wealth Elasticities, 1858-2012, Individual Families

*See Individual b Regression section below
*																					Table 7	Wealth Elasticities between Death Generations, Surname Groups
table gen_death2 type_aug_20, contents(freq)
table gen_death2 type_aug_20, contents(mean new_wealth_july_201)
table gen_death2 if type_aug_20=="HH" | type_aug_20=="H", contents(mean new_wealth_july_201)
* SDs for bootsrapping (see below)

table gen_death2 type_aug_20, contents(sd new_wealth_july_201)
table gen_death2 if type_aug_20=="HH" | type_aug_20=="H", contents(sd new_wealth_july_201)


* For b estimations, See "Table 7 and 8 b Calculations" section below




*																					Figure 6	Regression to the Mean of Elite Surnames
*Not a data graph
*																					Figure 7	Wealth Distribution, Rich, Prosperous and Brown Surnames, 1918-1959
twoway (kdensity new_wealth_july_2013 if type_aug_20=="HH" & dprob==1 & gen_death2==3) (kdensity new_wealth_july_2013 if type_aug_20=="H" & dprob==1 & gen_death2==3)
*																					Table 8	Intergenerational Wealth Elasticity Estimated from the Proportions Probated
table gendeath type_aug_20, contents(freq)
table gendeath type_aug_20, contents( mean dprob)
table gendeath if type_aug_20=="HH" | type_aug_20=="H", contents(mean dprob)

* SDs for bootsrapping (see below)

table gendeath type_aug_20, contents(sd dprob)
table gendeath if type_aug_20=="HH" | type_aug_20=="H", contents(sd dprob)

* For b estimations, See "Table 7 and 8 b Calculations" section below

*																					Table 9	Intergenerational Elasticities of Wealth in England, 1858-2012
* See individual b regressions below
*																					Figure 8	Maximum Inheritance Tax Rates, UK, 1825-2012
* See Source in paper
*																					Table A1	Probates 1858, England and Wales 
* See Source in paper


**************************************************************************************************************************************************************************************************************
**************************************************************************************************************************************************************************************************************
**************************************************************************************************************************************************************************************************************
**************************************************************************************************************************************************************************************************************
**************************************************************************************************************************************************************************************************************
**************************************************************************************************************************************************************************************************************
*******************************************************************************************************
*******************************************************************************************************																				Individual b Regressions
*******************************************************************************************************
**************************************************************************************************************************************************************************************************************
**************************************************************************************************************************************************************************************************************
**************************************************************************************************************************************************************************************************************
**************************************************************************************************************************************************************************************************************
**************************************************************************************************************************************************************************************************************
**************************************************************************************************************************************************************************************************************



*																					Table 6	Conventional Estimates of Intergenerational Wealth Elasticities, 1858-2012, Individual Families
* The intergenerational file is read in below
use "Clark_Cummins_EJ2014_Individual_Links.dta", clear
********************************************************************************************************************* Child death generation 
estimates drop _all

reg lnwc_new2 lnwf_new2  dfem if   gendeath==0, cluster(father_rare_master_death_id) 
est store DB0
outreg2 [DB0] using  Table6_All,  drop(dfem)  ctitle(1858-1887) dec(3) word replace

reg lnwc_new2 lnwf_new2  dfem if   gendeath==1, cluster(father_rare_master_death_id) 
est store DB1
outreg2 [DB1] using  Table6_All,  drop(dfem)  ctitle(1888-1917) dec(3) word

reg  lnwc_new2 lnwf_new2  dfem if   gendeath==2, cluster(father_rare_master_death_id) 
est store DB2
outreg2 [DB2] using  Table6_All,  drop(dfem)  ctitle(1918-1959) dec(3) word 

reg lnwc_new2 lnwf_new2  dfem if   gendeath==3, cluster(father_rare_master_death_id) 
est store DB3
outreg2 [DB3] using  Table6_All,  drop(dfem)  ctitle(1960-1987) dec(3) word 
 
reg  lnwc_new2 lnwf_new2  dfem if   gendeath==4, cluster(father_rare_master_death_id) 
est store DB4
outreg2 [DB4] using  Table6_All,  drop(dfem)  ctitle(1999-2012) dec(3) word

********************************************************************************************************************* Child death generation  PROBATED FATHERS ONLY

estimates drop _all

reg lnwc_new2 lnwf_new2  dfem if   gendeath==0 &  father_dprob==1, cluster(father_rare_master_death_id) 
est store DB0
outreg2 [DB0] using  Table6_FatherProbated,  drop(dfem)  ctitle(1858-1887) dec(3) word replace

reg lnwc_new2 lnwf_new2  dfem if   gendeath==1 &  father_dprob==1, cluster(father_rare_master_death_id) 
est store DB1
outreg2 [DB1] using  Table6_FatherProbated,  drop(dfem)  ctitle(1888-1917) dec(3) word

reg  lnwc_new2 lnwf_new2  dfem if   gendeath==2 &  father_dprob==1, cluster(father_rare_master_death_id) 
est store DB2
outreg2 [DB2] using  Table6_FatherProbated,  drop(dfem)  ctitle(1918-1959) dec(3) word 

reg lnwc_new2 lnwf_new2  dfem if   gendeath==3 &  father_dprob==1, cluster(father_rare_master_death_id) 
est store DB3
outreg2 [DB3] using  Table6_FatherProbated,  drop(dfem)  ctitle(1960-1987) dec(3) word 
 
reg  lnwc_new2 lnwf_new2  dfem if   gendeath==4 &  father_dprob==1, cluster(father_rare_master_death_id) 
est store DB4
outreg2 [DB4] using  Table6_FatherProbated,  drop(dfem)  ctitle(1999-2012) dec(3) word


*Table 9	Intergenerational Elasticities of Wealth in England, 1858-2012

reg lnwc_new2 lnwf_new2  dfem, cluster(father_rare_master_death_id)
est store MC1
outreg2 [MC1] using  MULTIGEN_C,  drop(dfem)  ctitle(Fathers Only) dec(3) word replace
reg lnwc_new2  lnwgf_new2 dfem, cluster(father_rare_master_death_id)
est store MC2
outreg2 [MC2] using  MULTIGEN_C,  drop(dfem)  ctitle(Grandfathers Only) dec(3) word 
reg lnwc_new2  lnwggf_new2 dfem, cluster(father_rare_master_death_id)
est store MC3
outreg2 [MC3] using  MULTIGEN_C,  drop(dfem)  ctitle(Great Grandfathers Only) dec(3) word 
reg lnwc_new2  lnwf_new2  lnwgf_new2 dfem, cluster(father_rare_master_death_id)
est store MC4
outreg2 [MC4] using  MULTIGEN_C,  drop(dfem)  ctitle(Fathers and Grandfathers) dec(3) word 
reg lnwc_new2  lnwf_new2  lnwgf_new2 lnwggf_new2 dfem, cluster(father_rare_master_death_id)
est store MC5
outreg2 [MC5] using  MULTIGEN_C,  drop(dfem)  ctitle(All) dec(3) word 



* 
* Bring in new dataset of averages calculated above (see table 7 and 8 commands)																					Table 7 and 8 b Calculations
use "Clark_Cummins_T7_8.dta", clear

*																								Table 7 Calculations

* Some simple arranging of the data

gen avg_wealth_h_m1=avg_wealth_h[_n-1]
gen avg_wealth_hh_m1=avg_wealth_hh[_n-1]
gen avg_wealth_pp_m1=avg_wealth_pp[_n-1]
gen avg_wealth_handhh_m1=avg_wealth_handhh[_n-1]


* b=W(t)/W(t-1)

gen b_H=avg_wealth_h/avg_wealth_h_m1
gen b_HH=avg_wealth_hh/avg_wealth_hh_m1
gen b_PP=avg_wealth_pp/avg_wealth_pp_m1
gen b_HandHH=avg_wealth_handhh/avg_wealth_handhh_m1

* Results
* N
*list freq_h freq_hh freq_pp
* 																								Table 7:   Wealth Elasticities between Death Generations, Surname Groups
list gendeath b_HH b_H b_HandHH b_PP 
* Average b gen1-5
gen avg_wealth_h_m4=avg_wealth_h[_n-4]
gen avg_wealth_hh_m4=avg_wealth_hh[_n-4]
gen avg_wealth_pp_m4=avg_wealth_pp[_n-4]
gen avg_wealth_handhh_m4=avg_wealth_handhh[_n-4]
gen bavg_H=(avg_wealth_h/avg_wealth_h_m4)^.25
gen bavg_HH=(avg_wealth_hh/avg_wealth_hh_m4)^.25
gen bavg_PP=(avg_wealth_pp/avg_wealth_pp_m4)^.25
gen bavg_HandHH=(avg_wealth_handhh/avg_wealth_handhh_m4)^.25
list bavg_HH bavg_H  bavg_HandHH  bavg_PP if gendeath==5 

*																								Table 8 Calculations

* z score cutoff probate

gen Zcutoff =invnormal(1-dprob_all)

* SE Fprobated

gen freqprobate_handhh=freqprobate_h+freqprobate_hh

gen se2_h=(dprob_h*(1-dprob_h)/freqprobate_h)^.5
gen se2_hh=(dprob_hh*(1-dprob_hh)/freqprobate_hh)^.5
gen se2_pp=(dprob_pp*(1-dprob_pp)/freqprobate_pp)^.5
gen se2_handhh=(dprob_handhh*(1-dprob_handhh)/freqprobate_handhh)^.5


* z score elite

gen Zh =invnormal(1-dprob_h)
gen Zhh =invnormal(1-dprob_hh)
gen Zpp =invnormal(1-dprob_pp)
gen Zhandhh =invnormal(1-dprob_handhh)


* Elite mean (z score)

gen EmZh=Zcutoff-Zh
gen EmZhh=Zcutoff-Zhh
gen EmZpp=Zcutoff-Zpp
gen EmZhandhh=Zcutoff-Zhandhh

* Some simple arranging of the data

gen EmZh_m1=EmZh[_n-1]
gen EmZhh_m1=EmZhh[_n-1]
gen EmZpp_m1=EmZpp[_n-1]
gen EmZhandhh_m1=EmZhandhh[_n-1]

gen EmZh_m4=EmZh[_n-4]
gen EmZhh_m4=EmZhh[_n-4]
gen EmZpp_m4=EmZpp[_n-4]
gen EmZhandhh_m4=EmZhandhh[_n-4]


* b=EmZ(t)/EmZ(t-1)

gen b2_H=EmZh/EmZh_m1
gen b2_HH=EmZhh/EmZhh_m1
gen b2_PP=EmZpp/EmZpp_m1
gen b2_HandHH=EmZhandhh/EmZhandhh_m1

gen b2avg_H=(EmZh/EmZh_m4)^(1/3.8)
gen b2avg_HH=(EmZhh/EmZhh_m4)^(1/3.8)
gen b2avg_PP=(EmZpp/EmZpp_m4)^(1/3.8)
gen b2avg_HandHH=(EmZhandhh/EmZhandhh_m4)^(1/3.8)

* Results
* 																									Table 8:  Intergenerational Wealth Elasticity Estimated from the Proportions Probated
list gendeath b2_HH b2_H b2_HandHH b2_PP
list b2avg_HH b2avg_H b2avg_HandHH b2avg_PP if gendeath==5

* 	

* freqw_h freqprobate_h
gen freqw_handhh=freqw_h+freqw_hh


* Calcualte ses
gen se_dprob_h=sd_dprob_h/(sqrt(freqprobate_h))
gen se_dprob_hh=sd_dprob_hh/(sqrt(freqprobate_hh))
gen se_dprob_pp=sd_dprob_pp/(sqrt(freqprobate_pp))
gen se_dprob_handhh=sd_dprob_handhh/(sqrt(freqprobate_handhh))

gen se_w_h=sd_w_h/(sqrt(freqw_h))
gen se_w_hh=sd_w_hh/(sqrt(freqw_hh))
gen se_w_pp=sd_w_pp/(sqrt(freqw_pp))
gen se_w_handhh=sd_w_handhh/(sqrt(freqw_handhh))

* means and ses: wealth
list avg_wealth_h avg_wealth_hh avg_wealth_pp avg_wealth_handhh
list se_w_h se_w_hh se_w_pp se_w_handhh

* means and ses: dprob

list dprob_h dprob_hh dprob_pp dprob_handhh dprob_all
list se_dprob_h se_dprob_hh se_dprob_pp se_dprob_handhh

* Values used for bootstrapping:

*						
*		avg_~_hh	avg_w~_h	avg_~dhh	avg_wea~p	
*	1	5.198853	3.048619	4.064835	-0.6360721	
*	2	3.323646	2.485586	2.906728	-0.4310776	
*	3	2.286898	1.678395	1.983494	-0.4344862	
*	4	1.689649	1.194761	1.424507	-0.1012477	
*	5	1.363093	1.032539	1.185441	-0.109472	
*						
*		se_w_hh		se_w_h		se_w_handhh	se_w_pp	
*	1	0.1146925	0.1254812	0.0894848	0.0131535	
*	2	0.1163092	0.1170783	0.083085	0.0371197	
*	3	0.1233222	0.0676756	0.059907	0.0232405	
*	4	0.0826487	0.0720881	0.054799	0.0298522	
*	5	0.144888	0.1343176	0.0986347	0.0631028	
*						
*		dprob_hh	dprob_h	dprob_handhh	dprob_pp	dprob_all
*	1	0.826752	0.557078	0.684527	0.018027	0.154
*	2	0.662207	0.536036	0.59944		0.113791	0.218
*	3	0.733518	0.631542	0.682672	0.24154		0.395
*	4	0.659705	0.605236	0.6303		0.332068	0.455
*	5	0.615776	0.571429	0.591011	0.393396	0.429
*						
*		se_dprob_hh	se_dprob_h	se_dprob_handhh	se_dprob_pp	
*	1	0.0135165	0.0167926	0.0114057	0.0041001	
*	2	0.0158004	0.0167447	0.0116014	0.0087207	
*	3	0.0116509	0.0127475	0.0086835	0.008805	
*	4	0.0166172	0.0158255	0.0114804	0.0091764	
*	5	0.0245675	0.0222204	0.0164893	0.0130933	






*																										Table 7:   Bootstrapped SEs
list gendeath b_H b_HH b_PP b_HandHH


***************************************************************************************** HH
** se HH b1
clear
drawnorm rd_bHH1, n(10000) mean(5.198853) sd(0.1146925)
drawnorm rd_bHH2, n(10000) mean(3.323646) sd(0.1163092)

gen b1HH_bs =rd_bHH2/rd_bHH1

** se HH b2
drawnorm rd_bHH3, n(10000) mean(2.286898) sd(0.1233222)
gen b2HH_bs =rd_bHH3/rd_bHH2

** se HH b3
drawnorm rd_bHH4, n(10000) mean(1.689649) sd(0.0826487)
gen b3HH_bs =rd_bHH4/rd_bHH3

** se HH b4
drawnorm rd_bHH5, n(10000) mean(1.363093) sd(0.144888)
gen b4HH_bs =rd_bHH5/rd_bHH4

** se HH bavg
gen bavgHH_bs =(rd_bHH5/rd_bHH1)^.25


***************************************************************************************** H
** se H b1
drawnorm rd_bH1, n(10000) mean(3.048619) sd(0.1254812)
drawnorm rd_bH2, n(10000) mean(2.485586) sd(0.1170783)

gen b1H_bs =rd_bH2/rd_bH1

** se H b2
drawnorm rd_bH3, n(10000) mean(1.678395) sd(0.0676756)
gen b2H_bs =rd_bH3/rd_bH2

** se H b3
drawnorm rd_bH4, n(10000) mean(1.194761) sd(0.0720881)
gen b3H_bs =rd_bH4/rd_bH3

** se H b4
drawnorm rd_bH5, n(10000) mean(1.032539) sd(0.1343176)
gen b4H_bs =rd_bH5/rd_bH4

** se H bavg
gen bavgH_bs =(rd_bH5/rd_bH1)^.25


***************************************************************************************** HandHH
** se HaHH b1
drawnorm rd_bHaHH1, n(10000) mean(4.064835) sd(0.0894848)
drawnorm rd_bHaHH2, n(10000) mean(2.906728) sd(0.083085)

gen b1HaHH_bs =rd_bHaHH2/rd_bHaHH1

** se HaHH b2
drawnorm rd_bHaHH3, n(10000) mean(1.983494) sd(0.059907)
gen b2HaHH_bs =rd_bHaHH3/rd_bHaHH2

** se HaHH b3
drawnorm rd_bHaHH4, n(10000) mean(1.424507) sd(0.054799)
gen b3HaHH_bs =rd_bHaHH4/rd_bHaHH3

** se HaHH b4
drawnorm rd_bHaHH5, n(10000) mean(1.185441) sd(0.0986347)
gen b4HaHH_bs =rd_bHaHH5/rd_bHaHH4

** se HaHH bavg
gen bavgHaHH_bs =(rd_bHaHH5/rd_bHaHH1)^.25


***************************************************************************************** PP
** se PP b1
drawnorm rd_bPP1, n(10000) mean(-0.6360721) sd(0.0131535)
drawnorm rd_bPP2, n(10000) mean(-0.4310776) sd(0.0371197)

gen b1PP_bs =rd_bPP2/rd_bPP1

** se PP b2
drawnorm rd_bPP3, n(10000) mean(-0.4344862) sd(0.0232405)
gen b2PP_bs =rd_bPP3/rd_bPP2

** se PP b3
drawnorm rd_bPP4, n(10000) mean(-0.1012477) sd(0.0298522)
gen b3PP_bs =rd_bPP4/rd_bPP3

replace b3PP_bs=0 if b3PP_bs<0

** se PP b4
drawnorm rd_bPP5, n(10000) mean(-0.109472) sd(0.0631028)
gen b4PP_bs =rd_bPP5/rd_bPP4
replace b4PP_bs=0 if b4PP_bs<0

** se PP bavg
gen bavgPP_bs =(rd_bPP5/rd_bPP1)^.25
replace bavgPP_bs=0 if bavgPP_bs==.







***************************************************************************************** Results
sum b1HH_bs b2HH_bs b3HH_bs b4HH_bs bavgHH_bs b1H_bs b2H_bs b3H_bs b4H_bs bavgH_bs b1HaHH_bs b2HaHH_bs b3HaHH_bs b4HaHH_bs bavgHaHH_bs b1PP_bs b2PP_bs b3PP_bs b4PP_bs bavgPP_bs




*																									Table 8:   Bootstrapped SEs
clear
* create the date space
drawnorm ignore, n(10000) mean(1) sd(.2)
***  Cutoff Probate Values

*Fraction all probated gen 1 = 0.154062067535316
gen cutoff1=invnormal(0.154062067535316)*-1
*Fraction all probated gen 2 = 0.21816212393648
gen cutoff2=invnormal(0.21816212393648)*-1
*Fraction all probated gen 3 = 0.394972651845418
gen cutoff3=invnormal(0.394972651845418)*-1
*Fraction all probated gen 4 = 0.454768157112588
gen cutoff4=invnormal(0.454768157112588)*-1
*Fraction all probated gen 5 = 0.42938953652429
gen cutoff5=invnormal(0.42938953652429)*-1


**************************************************************************************** HH


************************************************************** se bHH1
drawnorm rdHH1, n(10000) mean(0.826752) sd(0.0135165)
gen ZrdHH1 =invnormal(1-rdHH1)
gen EmZHH1=cutoff1-ZrdHH1

drawnorm rdHH2, n(10000) mean(0.662207) sd(0.0158004)
gen ZrdHH2 =invnormal(1-rdHH2)
gen EmZHH2=cutoff2-ZrdHH2

* b1
gen bHH1=EmZHH2/EmZHH1

************************************************************** se bHH2
drawnorm rdHH3, n(10000) mean(0.733518) sd(0.0116509)
gen ZrdHH3 =invnormal(1-rdHH3)
gen EmZHH3=cutoff3-ZrdHH3
* b2
gen bHH2=EmZHH3/EmZHH2

************************************************************** se bHH3
drawnorm rdHH4, n(10000) mean(0.659705) sd(0.0166172)
gen ZrdHH4 =invnormal(1-rdHH4)
gen EmZHH4=cutoff4-ZrdHH4
* b3
gen bHH3=EmZHH4/EmZHH3

************************************************************** se bHH4
drawnorm rdHH5, n(10000) mean(0.615776) sd(0.0245675)
gen ZrdHH5 =invnormal(1-rdHH5)
gen EmZHH5=cutoff5-ZrdHH5

gen bHH4=EmZHH5/EmZHH4

* b4 is adjusted to account for the fact it is 24 years and not 30
gen badjHH4=bHH4^(.8)

************************************************************** se bavgHH4
gen bHHavg=EmZHH5/EmZHH1
* adjusted for the incomplete last gen
gen badjHHavg=bHHavg^(1/3.8)




**************************************************************************************** H

************************************************************** se bH1
drawnorm rdH1, n(10000) mean(0.557078) sd(0.0167926)
gen ZrdH1 =invnormal(1-rdH1)
gen EmZH1=cutoff1-ZrdH1

drawnorm rdH2, n(10000) mean(0.536036) sd(0.0167447)
gen ZrdH2 =invnormal(1-rdH2)
gen EmZH2=cutoff2-ZrdH2

* b1
gen bH1=EmZH2/EmZH1

************************************************************** se bH2
drawnorm rdH3, n(10000) mean(0.631542) sd(0.0127475)
gen ZrdH3 =invnormal(1-rdH3)
gen EmZH3=cutoff3-ZrdH3
* b2
gen bH2=EmZH3/EmZH2

************************************************************** se bH3
drawnorm rdH4, n(10000) mean(0.605236) sd(0.0158255)
gen ZrdH4 =invnormal(1-rdH4)
gen EmZH4=cutoff4-ZrdH4
* b3
gen bH3=EmZH4/EmZH3

************************************************************** se bH4
drawnorm rdH5, n(10000) mean(0.571429) sd(0.0222204)
gen ZrdH5 =invnormal(1-rdH5)
gen EmZH5=cutoff5-ZrdH5
* b4
gen bH4=EmZH5/EmZH4

* b4 is adjusted to account for the fact it is 24 years and not 30
gen badjH4=bH4^(.8)

************************************************************** se bavgH4
gen bHavg=EmZH5/EmZH1
* adjusted for the incomplete last gen
gen badjHavg=bHavg^(1/3.8)



**************************************************************************************** HandHH

************************************************************** se bHaHH1
drawnorm rdHaHH1, n(10000) mean(0.684527) sd(0.0114057)
gen ZrdHaHH1 =invnormal(1-rdHaHH1)
gen EmZHaHH1=cutoff1-ZrdHaHH1

drawnorm rdHaHH2, n(10000) mean(0.59944) sd(0.0116014)
gen ZrdHaHH2 =invnormal(1-rdHaHH2)
gen EmZHaHH2=cutoff2-ZrdHaHH2

* b1
gen bHaHH1=EmZHaHH2/EmZHaHH1

************************************************************** se bHaHH2
drawnorm rdHaHH3, n(10000) mean(0.682672) sd(0.0086835)
gen ZrdHaHH3 =invnormal(1-rdHaHH3)
gen EmZHaHH3=cutoff3-ZrdHaHH3
* b2
gen bHaHH2=EmZHaHH3/EmZHaHH2

************************************************************** se bHaHH3
drawnorm rdHaHH4, n(10000) mean(0.6303) sd(0.0114804)
gen ZrdHaHH4 =invnormal(1-rdHaHH4)
gen EmZHaHH4=cutoff4-ZrdHaHH4
* b3
gen bHaHH3=EmZHaHH4/EmZHaHH3

************************************************************** se bHaHH4
drawnorm rdHaHH5, n(10000) mean(0.591011) sd(0.0164893)
gen ZrdHaHH5 =invnormal(1-rdHaHH5)
gen EmZHaHH5=cutoff5-ZrdHaHH5
* b4
gen bHaHH4=EmZHaHH5/EmZHaHH4

* b4 is adjusted to account for the fact it is 24 years and not 30
gen badjHaHH4=bHaHH4^(.8)

************************************************************** se bavgHaHH4
gen bHaHHavg=EmZHaHH5/EmZHaHH1
* adjusted for the incomplete last gen
gen badjHaHHavg=bHaHHavg^(1/3.8)


**************************************************************************************** PP

************************************************************** se bPP1
drawnorm rdPP1, n(10000) mean(0.018027) sd(0.0041001)
gen ZrdPP1 =invnormal(1-rdPP1)
gen EmZPP1=cutoff1-ZrdPP1

drawnorm rdPP2, n(10000) mean(0.113791) sd(0.0087207)
gen ZrdPP2 =invnormal(1-rdPP2)
gen EmZPP2=cutoff2-ZrdPP2

* b1
gen bPP1=EmZPP2/EmZPP1

************************************************************** se bPP2
drawnorm rdPP3, n(10000) mean(0.24154) sd(0.008805)
gen ZrdPP3 =invnormal(1-rdPP3)
gen EmZPP3=cutoff3-ZrdPP3
* b2
gen bPP2=EmZPP3/EmZPP2

************************************************************** se bPP3
drawnorm rdPP4, n(10000) mean(0.332068) sd(0.0091764)
gen ZrdPP4 =invnormal(1-rdPP4)
gen EmZPP4=cutoff4-ZrdPP4
* b3
gen bPP3=EmZPP4/EmZPP3

************************************************************** se bPP4
drawnorm rdPP5, n(10000) mean(0.393396) sd(0.0130933)
gen ZrdPP5 =invnormal(1-rdPP5)
gen EmZPP5=cutoff5-ZrdPP5
* b4
gen bPP4=EmZPP5/EmZPP4

* b4 is adjusted to account for the fact it is 24 years and not 30
gen badjPP4=bPP4^(.8)
replace badjPP4=0 if badjPP4==.

************************************************************** se bavgPP4
gen bPPavg=EmZPP5/EmZPP1
* adjusted for the incomplete last gen
gen badjPPavg=bPPavg^(1/3.8)
replace badjPPavg=0 if badjPPavg==.


**************************************************************************************** Results
sum bHH1 bHH2 bHH3 badjHH4 badjHHavg bH1 bH2 bH3 badjH4 badjHavg bHaHH1 bHaHH2 bHaHH3 badjHaHH4 badjHaHHavg bPP1 bPP2 bPP3 badjPP4 badjPPavg
